Package net.dona.doip.client

# Class PrivateKeyAuthenticationInfo

java.lang.Object
net.dona.doip.client.PrivateKeyAuthenticationInfo

All Implemented Interfaces:
  `AuthenticationInfo`

public class PrivateKeyAuthenticationInfo extends Object implements AuthenticationInfo
An `AuthenticationInfo` which provides an identity and a JWT signed by that entity's private key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrivateKeyAuthenticationInfo(String clientId, PrivateKey privateKey)`
  `PrivateKeyAuthenticationInfo(String clientId, PrivateKey privateKey, String asUserId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.gson.JsonObject`
  `getAuthentication()`
  Returns the authentication property to be supplied with the initial segment of DOIP requests.
  `String`
  `getClientId()`
  Returns the clientId to be supplied with the initial segment of DOIP requests.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrivateKeyAuthenticationInfo

    public PrivateKeyAuthenticationInfo(String clientId, PrivateKey privateKey)

  - ### PrivateKeyAuthenticationInfo

    public PrivateKeyAuthenticationInfo(String clientId, PrivateKey privateKey, String asUserId)

- ## Method Details

  - ### getClientId

    public String getClientId()
    Description copied from interface: `AuthenticationInfo`
    Returns the clientId to be supplied with the initial segment of DOIP requests.
    Specified by:
      `getClientId` in interface `AuthenticationInfo`
    Returns:
      the clientId to be supplied with the initial segment of DOIP requests

  - ### getAuthentication

    public com.google.gson.JsonObject getAuthentication() throws DoipException
    Description copied from interface: `AuthenticationInfo`
    Returns the authentication property to be supplied with the initial segment of DOIP requests.
    Specified by:
      `getAuthentication` in interface `AuthenticationInfo`
    Returns:
      the authentication property to be supplied with the initial segment of DOIP requests
    Throws:
      `DoipException`